Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network136.2.76.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
136.2.76.0
Broadcast address
136.2.79.255
First usable
136.2.76.1
Last usable
136.2.79.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Public public
Old class
B (default /16)
As numbers
Hex 88024C00 · Integer 2281851904 to 2281852927
Reverse DNS zones
76.2.136.in-addr.arpa
77.2.136.in-addr.arpa
78.2.136.in-addr.arpa
79.2.136.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10001000.00000010.01001100.00000000136.2.76.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network10001000.00000010.01001100.00000000136.2.76.0
Broadcast10001000.00000010.01001111.11111111136.2.79.255
Split into smaller subnets/29

136.2.76.0/22 makes 128 subnets of /29.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1136.2.76.0/29136.2.76.1 to 136.2.76.6136.2.76.76
2136.2.76.8/29136.2.76.9 to 136.2.76.14136.2.76.156
3136.2.76.16/29136.2.76.17 to 136.2.76.22136.2.76.236
4136.2.76.24/29136.2.76.25 to 136.2.76.30136.2.76.316
5136.2.76.32/29136.2.76.33 to 136.2.76.38136.2.76.396
6136.2.76.40/29136.2.76.41 to 136.2.76.46136.2.76.476
7136.2.76.48/29136.2.76.49 to 136.2.76.54136.2.76.556
8136.2.76.56/29136.2.76.57 to 136.2.76.62136.2.76.636
9136.2.76.64/29136.2.76.65 to 136.2.76.70136.2.76.716
10136.2.76.72/29136.2.76.73 to 136.2.76.78136.2.76.796
11136.2.76.80/29136.2.76.81 to 136.2.76.86136.2.76.876
12136.2.76.88/29136.2.76.89 to 136.2.76.94136.2.76.956
13136.2.76.96/29136.2.76.97 to 136.2.76.102136.2.76.1036
14136.2.76.104/29136.2.76.105 to 136.2.76.110136.2.76.1116
15136.2.76.112/29136.2.76.113 to 136.2.76.118136.2.76.1196
16136.2.76.120/29136.2.76.121 to 136.2.76.126136.2.76.1276
17136.2.76.128/29136.2.76.129 to 136.2.76.134136.2.76.1356
18136.2.76.136/29136.2.76.137 to 136.2.76.142136.2.76.1436
19136.2.76.144/29136.2.76.145 to 136.2.76.150136.2.76.1516
20136.2.76.152/29136.2.76.153 to 136.2.76.158136.2.76.1596
21136.2.76.160/29136.2.76.161 to 136.2.76.166136.2.76.1676
22136.2.76.168/29136.2.76.169 to 136.2.76.174136.2.76.1756
23136.2.76.176/29136.2.76.177 to 136.2.76.182136.2.76.1836
24136.2.76.184/29136.2.76.185 to 136.2.76.190136.2.76.1916
25136.2.76.192/29136.2.76.193 to 136.2.76.198136.2.76.1996
26136.2.76.200/29136.2.76.201 to 136.2.76.206136.2.76.2076
27136.2.76.208/29136.2.76.209 to 136.2.76.214136.2.76.2156
28136.2.76.216/29136.2.76.217 to 136.2.76.222136.2.76.2236
29136.2.76.224/29136.2.76.225 to 136.2.76.230136.2.76.2316
30136.2.76.232/29136.2.76.233 to 136.2.76.238136.2.76.2396
31136.2.76.240/29136.2.76.241 to 136.2.76.246136.2.76.2476
32136.2.76.248/29136.2.76.249 to 136.2.76.254136.2.76.2556
33136.2.77.0/29136.2.77.1 to 136.2.77.6136.2.77.76
34136.2.77.8/29136.2.77.9 to 136.2.77.14136.2.77.156
35136.2.77.16/29136.2.77.17 to 136.2.77.22136.2.77.236
36136.2.77.24/29136.2.77.25 to 136.2.77.30136.2.77.316
37136.2.77.32/29136.2.77.33 to 136.2.77.38136.2.77.396
38136.2.77.40/29136.2.77.41 to 136.2.77.46136.2.77.476
39136.2.77.48/29136.2.77.49 to 136.2.77.54136.2.77.556
40136.2.77.56/29136.2.77.57 to 136.2.77.62136.2.77.636
41136.2.77.64/29136.2.77.65 to 136.2.77.70136.2.77.716
42136.2.77.72/29136.2.77.73 to 136.2.77.78136.2.77.796
43136.2.77.80/29136.2.77.81 to 136.2.77.86136.2.77.876
44136.2.77.88/29136.2.77.89 to 136.2.77.94136.2.77.956
45136.2.77.96/29136.2.77.97 to 136.2.77.102136.2.77.1036
46136.2.77.104/29136.2.77.105 to 136.2.77.110136.2.77.1116
47136.2.77.112/29136.2.77.113 to 136.2.77.118136.2.77.1196
48136.2.77.120/29136.2.77.121 to 136.2.77.126136.2.77.1276
49136.2.77.128/29136.2.77.129 to 136.2.77.134136.2.77.1356
50136.2.77.136/29136.2.77.137 to 136.2.77.142136.2.77.1436
51136.2.77.144/29136.2.77.145 to 136.2.77.150136.2.77.1516
52136.2.77.152/29136.2.77.153 to 136.2.77.158136.2.77.1596
53136.2.77.160/29136.2.77.161 to 136.2.77.166136.2.77.1676
54136.2.77.168/29136.2.77.169 to 136.2.77.174136.2.77.1756
55136.2.77.176/29136.2.77.177 to 136.2.77.182136.2.77.1836
56136.2.77.184/29136.2.77.185 to 136.2.77.190136.2.77.1916
57136.2.77.192/29136.2.77.193 to 136.2.77.198136.2.77.1996
58136.2.77.200/29136.2.77.201 to 136.2.77.206136.2.77.2076
59136.2.77.208/29136.2.77.209 to 136.2.77.214136.2.77.2156
60136.2.77.216/29136.2.77.217 to 136.2.77.222136.2.77.2236
61136.2.77.224/29136.2.77.225 to 136.2.77.230136.2.77.2316
62136.2.77.232/29136.2.77.233 to 136.2.77.238136.2.77.2396
63136.2.77.240/29136.2.77.241 to 136.2.77.246136.2.77.2476
64136.2.77.248/29136.2.77.249 to 136.2.77.254136.2.77.2556
65136.2.78.0/29136.2.78.1 to 136.2.78.6136.2.78.76
66136.2.78.8/29136.2.78.9 to 136.2.78.14136.2.78.156
67136.2.78.16/29136.2.78.17 to 136.2.78.22136.2.78.236
68136.2.78.24/29136.2.78.25 to 136.2.78.30136.2.78.316
69136.2.78.32/29136.2.78.33 to 136.2.78.38136.2.78.396
70136.2.78.40/29136.2.78.41 to 136.2.78.46136.2.78.476
71136.2.78.48/29136.2.78.49 to 136.2.78.54136.2.78.556
72136.2.78.56/29136.2.78.57 to 136.2.78.62136.2.78.636
73136.2.78.64/29136.2.78.65 to 136.2.78.70136.2.78.716
74136.2.78.72/29136.2.78.73 to 136.2.78.78136.2.78.796
75136.2.78.80/29136.2.78.81 to 136.2.78.86136.2.78.876
76136.2.78.88/29136.2.78.89 to 136.2.78.94136.2.78.956
77136.2.78.96/29136.2.78.97 to 136.2.78.102136.2.78.1036
78136.2.78.104/29136.2.78.105 to 136.2.78.110136.2.78.1116
79136.2.78.112/29136.2.78.113 to 136.2.78.118136.2.78.1196
80136.2.78.120/29136.2.78.121 to 136.2.78.126136.2.78.1276
81136.2.78.128/29136.2.78.129 to 136.2.78.134136.2.78.1356
82136.2.78.136/29136.2.78.137 to 136.2.78.142136.2.78.1436
83136.2.78.144/29136.2.78.145 to 136.2.78.150136.2.78.1516
84136.2.78.152/29136.2.78.153 to 136.2.78.158136.2.78.1596
85136.2.78.160/29136.2.78.161 to 136.2.78.166136.2.78.1676
86136.2.78.168/29136.2.78.169 to 136.2.78.174136.2.78.1756
87136.2.78.176/29136.2.78.177 to 136.2.78.182136.2.78.1836
88136.2.78.184/29136.2.78.185 to 136.2.78.190136.2.78.1916
89136.2.78.192/29136.2.78.193 to 136.2.78.198136.2.78.1996
90136.2.78.200/29136.2.78.201 to 136.2.78.206136.2.78.2076
91136.2.78.208/29136.2.78.209 to 136.2.78.214136.2.78.2156
92136.2.78.216/29136.2.78.217 to 136.2.78.222136.2.78.2236
93136.2.78.224/29136.2.78.225 to 136.2.78.230136.2.78.2316
94136.2.78.232/29136.2.78.233 to 136.2.78.238136.2.78.2396
95136.2.78.240/29136.2.78.241 to 136.2.78.246136.2.78.2476
96136.2.78.248/29136.2.78.249 to 136.2.78.254136.2.78.2556
97136.2.79.0/29136.2.79.1 to 136.2.79.6136.2.79.76
98136.2.79.8/29136.2.79.9 to 136.2.79.14136.2.79.156
99136.2.79.16/29136.2.79.17 to 136.2.79.22136.2.79.236
100136.2.79.24/29136.2.79.25 to 136.2.79.30136.2.79.316
101136.2.79.32/29136.2.79.33 to 136.2.79.38136.2.79.396
102136.2.79.40/29136.2.79.41 to 136.2.79.46136.2.79.476
103136.2.79.48/29136.2.79.49 to 136.2.79.54136.2.79.556
104136.2.79.56/29136.2.79.57 to 136.2.79.62136.2.79.636
105136.2.79.64/29136.2.79.65 to 136.2.79.70136.2.79.716
106136.2.79.72/29136.2.79.73 to 136.2.79.78136.2.79.796
107136.2.79.80/29136.2.79.81 to 136.2.79.86136.2.79.876
108136.2.79.88/29136.2.79.89 to 136.2.79.94136.2.79.956
109136.2.79.96/29136.2.79.97 to 136.2.79.102136.2.79.1036
110136.2.79.104/29136.2.79.105 to 136.2.79.110136.2.79.1116
111136.2.79.112/29136.2.79.113 to 136.2.79.118136.2.79.1196
112136.2.79.120/29136.2.79.121 to 136.2.79.126136.2.79.1276
113136.2.79.128/29136.2.79.129 to 136.2.79.134136.2.79.1356
114136.2.79.136/29136.2.79.137 to 136.2.79.142136.2.79.1436
115136.2.79.144/29136.2.79.145 to 136.2.79.150136.2.79.1516
116136.2.79.152/29136.2.79.153 to 136.2.79.158136.2.79.1596
117136.2.79.160/29136.2.79.161 to 136.2.79.166136.2.79.1676
118136.2.79.168/29136.2.79.169 to 136.2.79.174136.2.79.1756
119136.2.79.176/29136.2.79.177 to 136.2.79.182136.2.79.1836
120136.2.79.184/29136.2.79.185 to 136.2.79.190136.2.79.1916
121136.2.79.192/29136.2.79.193 to 136.2.79.198136.2.79.1996
122136.2.79.200/29136.2.79.201 to 136.2.79.206136.2.79.2076
123136.2.79.208/29136.2.79.209 to 136.2.79.214136.2.79.2156
124136.2.79.216/29136.2.79.217 to 136.2.79.222136.2.79.2236
125136.2.79.224/29136.2.79.225 to 136.2.79.230136.2.79.2316
126136.2.79.232/29136.2.79.233 to 136.2.79.238136.2.79.2396
127136.2.79.240/29136.2.79.241 to 136.2.79.246136.2.79.2476
128136.2.79.248/29136.2.79.249 to 136.2.79.254136.2.79.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses